Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodeinsertbeforedocfragment Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodeinsertbeforedocfragment (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

If the "newChild" is a DocumentFragment object then all its children are inserted in the same order before the the "refChild".

Create a DocumentFragment object and populate it with two Element nodes. Retrieve the second employee and insert the newly created DocumentFragment before its fourth child. The second employee should now have two extra children("newChild1" and "newChild2") at positions fourth and fifth respectively.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-952280727

Definition at line 48 of file nodeinsertbeforedocfragment.java.

## Constructor & Destructor Documentation

nodeinsertbeforedocfragment::nodeinsertbeforedocfragment | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 50 of file nodeinsertbeforedocfragment.java.
    00051  {
    00052       super(factory);
    00053
    00054    }

## Member Function Documentation

String nodeinsertbeforedocfragment::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 88 of file nodeinsertbeforedocfragment.java.
    00088                                 {
    00089       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodeinsertbeforedocfragment";
    00090    }

void nodeinsertbeforedocfragment::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 91 of file nodeinsertbeforedocfragment.java. References DOMTestCase::doMain().
    00091                                           {
    00092         DOMTestCase.doMain(nodeinsertbeforedocfragment.class,args);
    00093    }

void nodeinsertbeforedocfragment::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 56 of file nodeinsertbeforedocfragment.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00056                                                     {
    00057       Document doc;
    00058       NodeList elementList;
    00059       Node employeeNode;
    00060       NodeList childList;
    00061       Node refChild;
    00062       DocumentFragment newdocFragment;
    00063       Node newChild1;
    00064       Node newChild2;
    00065       Node child;
    00066       String childName;
    00067       Node appendedChild;
    00068       Node insertedNode;
    00069       doc = load("staff");
    00070       elementList = doc.getElementsByTagName("employee");
    00071       employeeNode = elementList.item(1);
    00072       childList = employeeNode.getChildNodes();
    00073       refChild = childList.item(3);
    00074       newdocFragment = doc.createDocumentFragment();
    00075       newChild1 = doc.createElement("newChild1");
    00076       newChild2 = doc.createElement("newChild2");
    00077       appendedChild = newdocFragment.appendChild(newChild1);
    00078       appendedChild = newdocFragment.appendChild(newChild2);
    00079       insertedNode = employeeNode.insertBefore(newdocFragment,refChild);
    00080       child = childList.item(3);
    00081       childName = child.getNodeName();
    00082       assertEquals("childName3","newChild1",childName);
    00083       child = childList.item(4);
    00084       childName = child.getNodeName();
    00085       assertEquals("childName4","newChild2",childName);
    00086
    00087    }

The documentation for this class was generated from the following file:

- nodeinsertbeforedocfragment.java